> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1adminpromotions



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/admin/promotions
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/promotions:
    post:
      tags:
        - catalog
      operationId: createPromotion
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromotionInput'
      responses:
        '201':
          description: Promotion created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Promotion'
        '422':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  schemas:
    PromotionInput:
      type: object
      required:
        - code
        - kind
        - value
        - perCustomerLimit
        - active
        - codes
      properties:
        code:
          type: string
        kind:
          type: string
          enum:
            - percent
            - fixed
        value:
          type: integer
          format: int64
          minimum: 1
        currency:
          type: string
          pattern: ^[A-Z]{3}$
        startsAt:
          type: string
          format: date-time
          nullable: true
        endsAt:
          type: string
          format: date-time
          nullable: true
        redemptionLimit:
          type: integer
          minimum: 1
          nullable: true
        perCustomerLimit:
          type: integer
          minimum: 1
        eligibility:
          type: object
          additionalProperties: true
        active:
          type: boolean
        planIDs:
          type: array
          items:
            type: string
            format: uuid
        codes:
          type: array
          items:
            type: string
    Promotion:
      type: object
      properties:
        id:
          type: string
          format: uuid
        code:
          type: string
        kind:
          type: string
        active:
          type: boolean
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.